# Method: reviews.reply

- [HTTP request](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#body.request_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#body.response_body)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#body.ReviewsReplyResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#body.aspect)
- [ReviewReplyResult](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#ReviewReplyResult)
  - [JSON representation](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#ReviewReplyResult.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#try-it)

Replies to a single review, or updates an existing reply.

### HTTP request

`POST https://androidpublisher.googleapis.com/androidpublisher/v3/applications/{packageName}/reviews/{reviewId}:reply`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `packageName` | `string` Package name of the app. |
| `reviewId` | `string` Unique identifier for a review. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "replyText": string } ``` |

| Fields ||
|---|---|
| `replyText` | `string` The text to set as the reply. Replies of more than approximately 350 characters will be rejected. HTML tags will be stripped. |

### Response body

Response on status of replying to a review.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "result": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#ReviewReplyResult`) } } ``` |

| Fields ||
|---|---|
| `result` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/reviews/reply#ReviewReplyResult`)`` The result of replying/updating a reply to review. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/androidpublisher`

## ReviewReplyResult

The result of replying/updating a reply to review.

| JSON representation |
|---|
| ``` { "replyText": string, "lastEdited": { object (`https://developers.google.com/android-publisher/api-ref/rest/v3/reviews#Timestamp`) } } ``` |

| Fields ||
|---|---|
| `replyText` | `string` The reply text that was applied. |
| `lastEdited` | ``object (`https://developers.google.com/android-publisher/api-ref/rest/v3/reviews#Timestamp`)`` The time at which the reply took effect. |